<?php
namespace App\Http\Controllers\adminpanel;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Mail;
use App\Models\User;
use App\Models\Country;
use Validator;
use Illuminate\Pagination\Paginator;
use Carbon\Carbon;
use Illuminate\Validation\Rule;

class CountryController extends Controller
{
    private $pagination = 10;

    public function managecountry()
    {
        $data = Country::paginate($this->pagination);
        return view('adminpanel.managecountry', compact('data'));
    }

    public function searchcountry(Request $request)
    {
        $input = $request->all();
        $qry = Country::query();
        if(trim($input["search"])!="") {
            $search = $input["search"];
            $qry->where([
                ["country_name", "like", "%{$search}%"],
            ]);
        }
        $data = $qry->paginate($this->pagination);
        $data->appends($input);
        return view('adminpanel.managecountry', compact('data'));
    }
}

?>
