<?php

namespace App\Http\Controllers\API;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\User;
use App\Models\Notification;
use App\Models\Apns_device;
use Illuminate\Support\Facades\Validator;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Auth;

class DeviceregisterController extends Controller
{
	public function iosDeviceRegister(Request $request)
    {
        $validator = Validator::make($request->all(), [
            'user_id' => 'required',
            'deviceId' => 'required',
            'deviceToken' => 'required',
            'deviceName' => 'required',
            'deviceModel' => 'required',
            'deviceVersion' => 'required',
            'pushNotificationStatus' => 'required',
        ]);
        if ($validator->fails())
        {
            return response()->json(['error'=>$validator->errors()], 403);
        }
        $input = $request->all();
        $input['pushBadge'] = "disabled";
        $input['pushAlert'] = "disabled";
        $input['pushSound'] = "disabled";
        $input['status'] = "active";
        $input['rangeNotificationStatus'] = "0";
        $input['pushCounter'] = "1";
        $id = $input['user_id'];
        $deviceuid = $input['deviceId'];
        $input['user_type'] = "abc";

        $fcmuser = Apns_device::query()->where('user_id',$id)->orwhere('deviceId',$deviceuid)->get();
        if(count($fcmuser) > 0)
        {
            foreach($fcmuser as $dv)
            {
                $delete_user = Apns_device::where('id','=',$dv->id)->delete();
            }
        }
        /*if(count($fcmuser) > 0)
        {
            $delete_user = Apns_device::where('id','=',$fcmuser[0]->id)->delete();
        }*/

		$user = Apns_device::create($input);

        if($user->id > 0)
		{
            return response()->json(['status'=>1,'message'=>'Device Registered Successfully']);
        }
        else
		{
            return response()->json(['status'=>0,'message'=>'Device Not Registered.']);
        }

    }
}
