<?php
    $menu = array(
                "Dashboard" => array(
                    "icon" => "home.png",
                    "sub" => "dashboard"
                ),
                "User Management" => array(
                    "icon" => "user.png",
                    "sub" => array(
                        "Manage User" => "manageuser"
                    )
                ),
                "Service Category Management" => array(
                    "icon" => "user.png",
                    "sub" => array(
                        "Manage Service Category" => "manageservicecategory"
                    )
                ),
                "Service Management" => array(
                    "icon" => "user.png",
                    "sub" => array(
                        "Manage Service" => "manageservice"
                    )
                ),
                /*"Country Management" => array(
                    "icon" => "user.png",
                    "sub" => array(
                        "Manage Country" => "managecountry"
                    )
                ),*/
                "Staticpages Management" => array(
                    "icon" => "user.png",
                    "sub" => array(
                        "About us" => "staticpages/1",
                        "Privacy Policy" => "staticpages/2",
                        "Terms and condition" => "staticpages/3",
                        "Contact Us" => "staticpages/4",
                    )
                ),
                "Log out" => array(
                    "icon" => "home.png",
                    "sub" => "logout"
                ),
            );
?>

<div class="sidebar-main desktop-view">
    <div class="top-logo-main">
        <h4 style="color:#add8e6; font-weight: 600; letter-spacing: 1px;">Mohd Admin</h4>
        <a href="javascript:;" class="close-sidemenu"><img src="<?php echo e(asset('adminpanel/images/side.png')); ?>"></a>
    </div>

    <div class="sidebar-menu-main">
        <ul>
            <?php
                foreach($menu as $k => $v) {
                    if(is_array($v['sub'])) {
            ?>
                    <li class="child-menu">
                        <a href="javascript:void(0)" class="menu-item">
                            <span class="m-icon"><img src="<?php echo e(asset('adminpanel/images/' . $v['icon'])); ?>" style="filter: brightness(0) saturate(100%) invert(30%) sepia(19%) saturate(2000%) hue-rotate(180deg) brightness(90%) contrast(90%);"></span>
                            <span class="menu-text" style="color: #2c3e50; font-weight: 500;"><?php echo $k; ?></span>
                            <span class="menu-arrow"></span>
                        </a>
                        <ul class="sub-menu">
                            <?php
                            foreach($v['sub'] as $k1 => $v1) {
                            ?>
                            <li><a href="<?php echo e(url('/adminpanel/' . $v1)); ?>" style="color: #34495e; transition: all 0.3s ease;">- <?php echo $k1; ?></a></li>
                            <?php } ?>
                        </ul>
                    </li>
            <?php
                    } else {
            ?>
                    <li>
                        <a href="<?php echo e(url('/adminpanel/' . $v['sub'])); ?>" class="menu-item">
                            <span class="m-icon"><img src="<?php echo e(asset('adminpanel/images/' . $v['icon'])); ?>" style="filter: brightness(0) saturate(100%) invert(30%) sepia(19%) saturate(2000%) hue-rotate(180deg) brightness(90%) contrast(90%);"></span>
                            <span class="menu-text" style="color: #2c3e50; font-weight: 500;"><?php echo $k; ?></span>
                        </a>
                    </li>
            <?php
                    }
                }
            ?>
        </ul>
    </div>
</div>

<style>
.sidebar-main {
    background-color: #ADD8E6;
    transition: all 0.3s ease;
}

.menu-item {
    transition: all 0.3s ease;
    padding: 12px 15px;
    display: flex;
    align-items: center;
    border-radius: 4px;
    margin: 4px 8px;
}

.menu-item:hover {
    background-color: rgba(255, 255, 255, 0.2);
    transform: translateX(5px);
}

.menu-item .m-icon {
    margin-right: 12px;
    width: 20px;
    height: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.menu-item .menu-text {
    font-size: 14px;
}

.menu-item .menu-text:hover {
    color: #ffffff !important;
    transform: translateX(5px);
}


.sub-menu {
    background-color: rgba(255, 255, 255, 0.1);
    border-radius: 4px;
    margin: 4px 8px;
}

.sub-menu li a {
    padding: 8px 15px;
    display: block;
    border-radius: 4px;
}

.sub-menu li a:hover {
    background-color: rgba(255, 255, 255, 0.2);
    color: #ffffff !important;
    transform: translateX(5px);
}

.child-menu .menu-arrow {
    margin-left: auto;
    transition: transform 0.3s ease;
}

.child-menu.active .menu-arrow {
    transform: rotate(90deg);
}
</style>

        <!-- Mobile Menu -->

        <div class="sidebar-main mobile-view">
            <div class="top-logo-main">
                <img src="<?php echo e(URL::asset('public/images/logo1.png')); ?>" class="logo-img">
                <a href="javascript:;" class="close-menu"><img src="<?php echo e(URL::asset('public/images/side.png')); ?>"></a>
            </div>

            <div class="sidebar-menu-main">
                <ul>
                    <?php
                        foreach($menu as $k => $v) {
                            //print_r($v['sub']);
                            if(is_array($v['sub'])) {
                    ?>
                            <li class="child-menu">
                                <a href="#">
                                    <span class="m-icon"><img src="<?php echo e(URL::asset('public/images/' . $v['icon'])); ?>"></span>
                                    <span class="menu-text"><?php echo $k; ?></span>
                                    <span class="menu-arrow"></span>
                                </a>
                                <ul class="sub-menu">
                                    <?php
                                    foreach($v['sub'] as $k1 => $v1) {
                                    ?>
                                    <li><a href="<?php echo e(url('/adminpanel/' . $v1)); ?>">- <?php echo $k1; ?></a></li>
                                    <?php } ?>
                                </ul>
                            </li>
                    <?php
                            } else {
                    ?>
                            <li>
                                <a href="<?php echo e(route('adminpanel.' . $v['sub'])); ?>">
                                    <span class="m-icon"><img src="<?php echo e(URL::asset('public/images/' . $v['icon'])); ?>"></span>
                                    <span class="menu-text"><?php echo $k; ?></span>
                                </a>
                            </li>
                    <?php
                            }

                        }
                    ?>
                    <!-- <li>
                        <a href="#">
                            <span class="m-icon"><img src="<?php echo e(URL::asset('public/images/home.png')); ?>"></span>
                            <span class="menu-text">Dashboard</span>
                        </a>
                    </li>
                    <li>
                        <a href="#">
                            <span class="m-icon"><img src="<?php echo e(URL::asset('public/images/home.png')); ?>"></span>
                            <span class="menu-text">Components</span>
                        </a>
                    </li>
                    <li>
                        <a href="#">
                            <span class="m-icon"><img src="<?php echo e(URL::asset('public/images/home.png')); ?>"></span>
                            <span class="menu-text">Applications</span>
                        </a>
                    </li>
                    <li>
                        <a href="#">
                            <span class="m-icon"><img src="<?php echo e(URL::asset('public/images/home.png')); ?>"></span>
                            <span class="menu-text">Custom</span>
                        </a>
                    </li>
                    <li class="child-menu">
                        <a href="#">
                            <span class="m-icon"><img src="<?php echo e(URL::asset('public/images/user.png')); ?>"></span>
                            <span class="menu-text">User Management</span>
                            <span class="menu-arrow"></span>
                        </a>
                        <ul class="sub-menu">
                            <li><a href="#">- User Management one</a></li>
                            <li><a href="#">- User Management two</a></li>
                        </ul>
                    </li> -->
                </ul>
            </div>
        </div>
        <!-- Mobile Menu -->

<?php /**PATH /home/keshavvps/public_html/keshav/KG1/Mohd/resources/views/adminpanel/include/sidebar.blade.php ENDPATH**/ ?>