<!DOCTYPE html>
<html lang="en">

<head>
<?php echo $__env->make('adminpanel.include.top', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
</head>

<body>

    <div id="sitemain">

        <!-- BEGIN :: DASHBOARD -->

        <div class="dashboard-main" id="dashboard">

            <?php echo $__env->make('adminpanel.include.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

            <div class="dashboard-right-side-main">

                <?php echo $__env->make('adminpanel.include.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

                <?php
                $label = "Create";
                $username = "";
                $country_id = "";
                $contact_number = "";
                $gender = "";
                $dob = "";
                $bio = "";
                $address = "";
                $occupation_id = "";
                $education_id = "";
                $religion_id = "";
                $interest = "";

                $profile_picture_status = 0;
                $other_picture_status = "";
                $address_status = "";
                $occupation_status = "";
                $education_status = "";
                $religion_status = "";
                $bio_status = "";

                $email = "";
                $password = "";
                $id = "";
                $isError = false;
                $formRoute = 'adminpanel.user.save';
                if(isset($data['error']))
                {
                    $isError = true;
                    if($data['type']=="Edit") {
                        $label = "Edit";
                        $formRoute = 'adminpanel.user.update';
                    }
                    $username = $data['input']['username'];
                    $email = $data['input']['email'];
                    $country_id = $data['input']['country_id'];
                    $contact_number = $data['input']['contact_number'];
                    $gender = $data['input']['gender'];
                    $dob = $data['input']['dob'];
                    $bio = $data['input']['bio'];
                    $address = $data['input']['address'];
                    $interest = $data['input']['interest'];
                    $occupation_id = $data['input']['occupation_id'];
                    $education_id = $data['input']['education_id'];
                    $religion_id = $data['input']['religion_id'];
                }
                else
                {
                    if($data['type'] == "edit") {
                        $label = "Edit";
                        $username = $data['input'][0]->username;
                        $email = $data['input'][0]->email;
                        $country_id = $data['input'][0]->country_id;
                        $contact_number = $data['input'][0]->contact_number;
                        $gender = $data['input'][0]->gender;
                        $dob = $data['input'][0]->dob;
                        $bio = $data['input'][0]->bio;
                        $address = $data['input'][0]->address;
                        $interest = $data['input'][0]->interest;
                        $occupation_id = $data['input'][0]->occupation_id;
                        $education_id = $data['input'][0]->education_id;
                        $religion_id = $data['input'][0]->religion_id;

                        $profile_picture_status = $data['input'][0]->profile_picture_status;
                        $other_picture_status = $data['input'][0]->other_picture_status;
                        $address_status = $data['input'][0]->address_status;
                        $occupation_status = $data['input'][0]->occupation_status;
                        $education_status = $data['input'][0]->education_status;
                        $religion_status = $data['input'][0]->religion_status;
                        $bio_status = $data['input'][0]->bio_status;

                        $password = $data['input'][0]->password;
                        $id = $data['input'][0]->id;
                        $formRoute = 'adminpanel.user.update';
                    }
                }
                ?>
                <div class="top-dashboard-title">
                    <div class="d-code-main">
                        <div class="d-title">
                            <h4><strong><?php echo e($label); ?> User</strong><span>|</span>Enter user details and submit </h4>
                        </div>
                    </div>
                </div>

                <div class="dashboard-content-main add-user-main">
                    <div class="add-user-one-main-content">
                        <?php if($errors->any()): ?>
                            <div class="error-message-box">
                                <p><?php echo e($errors->first()); ?></p>
                            </div>
                        <?php endif; ?>
                        <?php if($isError): ?>
                            <div class="error-message-box">
                                <?php foreach($data['error']->all() as $error) {
                                    echo "<p>". $error . "</p>";
                                } ?>
                            </div>
                        <?php endif; ?>
                        <?php echo e(Form::open(array('route' => $formRoute, 'method' => 'post', 'enctype' => 'multipart/form-data'))); ?>

                            <?php echo e(Form::hidden(
                                'id', $id
                                )); ?>

                            <div class="user-pro-detail-main-content">
                                <div class="user-pro-detail-sub-content">
                                    <div class="user-pro-detail-content">
                                        <div class="user-pro-detail-content-dt-one">
                                            <div class="user-pro-detail-content-left">
                                                <label>Enter User Name</label>
                                            </div>
                                            <div class="user-pro-detail-content-right">
                                                <?php echo e(Form::text(
                                                    'username', $username,
                                                    [
                                                        'class' => 'form-control',
                                                        'placeholder' => 'Enter User Name',
                                                        'required' => true
                                                    ]
                                                    )); ?>

                                            </div>
                                        </div>
                                        <div class="user-pro-detail-content-dt-one">
                                            <div class="user-pro-detail-content-left">
                                                <label>Enter email address</label>
                                            </div>
                                            <div class="user-pro-detail-content-right">
                                                <?php echo e(Form::email(
                                                    'email', $email,
                                                    [
                                                        'class' => 'form-control',
                                                        'placeholder' => 'Enter email address',
                                                        'required' => true
                                                    ]
                                                    )); ?>

                                            </div>
                                        </div>
                                        <div class="user-pro-detail-content-dt-one">
                                            <div class="user-pro-detail-content-left">
                                                <label>Country</label>
                                            </div>
                                            <div class="user-pro-detail-content-right">
                                                <?php echo e(Form::select('country_id', $country ,$country_id,
                                                    [
                                                        'class' => 'form-control',
                                                        'required' => true,
                                                        "id"=>'country_id'
                                                    ]
                                                    )); ?>

                                            </div>
                                        </div>
                                        <div class="user-pro-detail-content-dt-one">
                                            <div class="user-pro-detail-content-left">
                                                <label>Enter phone no.</label>
                                            </div>
                                            <div class="user-pro-detail-content-right">
                                                <?php echo e(Form::text(
                                                    'contact_number', $contact_number,
                                                    [
                                                        'class' => 'form-control',
                                                        'placeholder' => 'Enter phone no.',
                                                        'required' => true
                                                    ]
                                                    )); ?>

                                            </div>
                                        </div>
                                        <div class="user-pro-detail-content-dt-one">
                                            <div class="user-pro-detail-content-left">
                                                <label>Gender</label>
                                            </div>
                                            <div class="user-pro-detail-content-right" style="display: flex;justify-content: space-between;width: 150px;">
                                                <input type="radio" name="gender" value="male" <?php echo e($gender == 'male' ? 'checked' : ''); ?>> Male<br>
                                                <input type="radio" name="gender" value="female" <?php echo e($gender == 'female' ? 'checked' : ''); ?>> Female<br>
                                            </div>
                                        </div>
                                        <div class="user-pro-detail-content-dt-one">
                                            <div class="user-pro-detail-content-left">
                                                <label>Date Of Birth</label>
                                            </div>
                                            <div class="user-pro-detail-content-right">
                                                <?php echo e(Form::date(
                                                    'dob', $dob,
                                                    [
                                                        'class' => 'form-control',
                                                        'placeholder' => 'Enter Date Of Birth',
                                                        'required' => true
                                                    ]
                                                    )); ?>

                                            </div>
                                        </div>
                                        <?php if($data['type'] != "edit"): ?>
                                            <div class="user-pro-detail-content-dt-one">
                                                <div class="user-pro-detail-content-left">
                                                    <label>Enter password</label>
                                                </div>
                                                <div class="user-pro-detail-content-right">
                                                    <?php echo e(Form::password(
                                                        'password',
                                                        [
                                                            'class' => 'form-control',
                                                            'placeholder' => 'Enter password',
                                                            'required' => true
                                                        ]
                                                        )); ?>

                                                </div>
                                            </div>
                                        <?php endif; ?>
                                        <div class="user-pro-detail-content-dt-one">
                                            <div class="user-pro-detail-content-left">
                                                <label>Bio</label>
                                            </div>
                                            <div class="user-pro-detail-content-right">
                                                <textarea name="bio"><?php echo e($bio); ?></textarea>
                                            </div>
                                        </div>
                                        <div class="user-pro-detail-content-dt-one">
                                            <div class="user-pro-detail-content-left">
                                                <label>Enter Address</label>
                                            </div>
                                            <div class="user-pro-detail-content-right">
                                                <?php echo e(Form::textarea(
                                                    'address', $address,
                                                    [
                                                        'class' => 'form-control',
                                                        'placeholder' => 'Enter address',
                                                        'required' => false
                                                    ]
                                                    )); ?>

                                            </div>
                                        </div>
                                        <div class="user-pro-detail-content-dt-one">
                                            <div class="user-pro-detail-content-left">
                                                <label>Occupation</label>
                                            </div>
                                            <div class="user-pro-detail-content-right">
                                                <?php echo e(Form::select('occupation_id', $occupation ,$occupation_id,
                                                    [
                                                        'class' => 'form-control',
                                                        'required' => true,
                                                        "id"=>'occupation_id'
                                                    ]
                                                    )); ?>

                                            </div>
                                        </div>
                                        <div class="user-pro-detail-content-dt-one">
                                            <div class="user-pro-detail-content-left">
                                                <label>Education</label>
                                            </div>
                                            <div class="user-pro-detail-content-right">
                                                <?php echo e(Form::select('education_id', $education ,$education_id,
                                                    [
                                                        'class' => 'form-control',
                                                        'required' => true,
                                                        "id"=>'education_id'
                                                    ]
                                                    )); ?>

                                            </div>
                                        </div>
                                        <div class="user-pro-detail-content-dt-one">
                                            <div class="user-pro-detail-content-left">
                                                <label>Religion</label>
                                            </div>
                                            <div class="user-pro-detail-content-right">
                                                <?php echo e(Form::select('religion_id', $religion ,$religion_id,
                                                    [
                                                        'class' => 'form-control',
                                                        'required' => true,
                                                        "id"=>'religion_id'
                                                    ]
                                                    )); ?>

                                            </div>
                                        </div>
                                        <div class="user-pro-detail-content-dt-one" style="border-bottom: 1px dashed #c1c1c1;margin-bottom: 30px;">
                                            <div class="user-pro-detail-content-left">
                                                <label>Enter Interest</label>
                                            </div>
                                            <div class="user-pro-detail-content-right">
                                                <?php echo e(Form::text(
                                                    'interest', $interest,
                                                    [
                                                        'class' => 'form-control',
                                                        'placeholder' => 'Enter Interest',
                                                        'required' => false
                                                    ]
                                                    )); ?>

                                            </div>
                                        </div>
                                        <h5>Visibility Settings</h5>
                                        <div class="user-pro-detail-content-dt-one">
                                            <div class="user-pro-detail-content-left">
                                                <label>Profile Picture</label>
                                            </div>
                                            <div class="user-pro-detail-content-right">
                                                <input type='checkbox' name='profile_picture_status' id="profile_picture_status" value='1' <?php echo e(( '1' == $profile_picture_status) ? 'checked' : ''); ?>>
                                            </div>
                                        </div>
                                        <div class="user-pro-detail-content-dt-one">
                                            <div class="user-pro-detail-content-left">
                                                <label>Other Picture Status</label>
                                            </div>
                                            <div class="user-pro-detail-content-right">
                                                <input type='checkbox' name='other_picture_status' id="other_picture_status" value='1' <?php echo e(( '1' == $other_picture_status) ? 'checked' : ''); ?>>
                                            </div>
                                        </div>
                                        <div class="user-pro-detail-content-dt-one">
                                            <div class="user-pro-detail-content-left">
                                                <label>Address</label>
                                            </div>
                                            <div class="user-pro-detail-content-right">
                                                <input type='checkbox' name='address_status' id="address_status" value='1' <?php echo e(( '1' == $address_status) ? 'checked' : ''); ?>>
                                            </div>
                                        </div>
                                        <div class="user-pro-detail-content-dt-one">
                                            <div class="user-pro-detail-content-left">
                                                <label>Occupation</label>
                                            </div>
                                            <div class="user-pro-detail-content-right">
                                                <input type='checkbox' name='occupation_status' id="occupation_status" value='1' <?php echo e(( '1' == $occupation_status) ? 'checked' : ''); ?>>
                                            </div>
                                        </div>
                                        <div class="user-pro-detail-content-dt-one">
                                            <div class="user-pro-detail-content-left">
                                                <label>Education</label>
                                            </div>
                                            <div class="user-pro-detail-content-right">
                                                <input type='checkbox' name='education_status' id="education_status" value='1' <?php echo e(( '1' == $education_status) ? 'checked' : ''); ?>>
                                            </div>
                                        </div>
                                        <div class="user-pro-detail-content-dt-one">
                                            <div class="user-pro-detail-content-left">
                                                <label>Religion</label>
                                            </div>
                                            <div class="user-pro-detail-content-right">
                                                <input type='checkbox' name='religion_status' id="religion_status" value='1' <?php echo e(( '1' == $religion_status) ? 'checked' : ''); ?>>
                                            </div>
                                        </div>
                                        <div class="user-pro-detail-content-dt-one">
                                            <div class="user-pro-detail-content-left">
                                                <label>Bio</label>
                                            </div>
                                            <div class="user-pro-detail-content-right">
                                                <input type='checkbox' name='bio_status' id="bio_status" value='1' <?php echo e(( '1' == $bio_status) ? 'checked' : ''); ?>>
                                            </div>
                                        </div>

                                    </div>
                                    <div class="next-step-btn-main">
                                        <?php echo e(Form::button(
                                            'Save',
                                            [
                                                'class' => 'next-step',
                                                'type' => 'submit'
                                            ]
                                            )); ?>

                                    </div>
                                </div>
                            </div>
                        <?php echo e(Form::close()); ?>

                    </div>
                </div>

                <?php echo $__env->make('adminpanel.include.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

            </div>

        </div>

        <!-- END** :: DASHBOARD -->

    </div>

    <div class="index-top-text-main">
        <div class="container">
            <div class="row">
                <div class="index-top-text-sub">
                    <h1></h1>
                    <p></p>
                </div>
            </div>
        </div>

    </div>

    <script src="<?php echo e(asset('adminpanel/js/jquery.min.js')); ?>"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>
    <script src="<?php echo e(asset('adminpanel/js/bootstrap.min.js')); ?>"></script>
    <script src="<?php echo e(asset('adminpanel/js/bootstrap-multiselectsplitter.js')); ?>"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-touchspin/4.2.5/jquery.bootstrap-touchspin.min.js"></script>
    <script src="https://cdn.jsdelivr.net/gh/gitbrent/bootstrap4-toggle@3.6.1/js/bootstrap4-toggle.min.js"></script>
    <script src="<?php echo e(asset('adminpanel/js/slick.min.js')); ?>"></script>
    <script src="<?php echo e(asset('adminpanel/js/gijgo.min.js')); ?>"></script>
    <script src="<?php echo e(asset('adminpanel/js/tagsinput.js')); ?>"></script>
    <script src="<?php echo e(asset('adminpanel/js/jquery.bootstrap-touchspin.min.js')); ?>"></script>
    <script src="<?php echo e(asset('adminpanel/js/file-upload.js')); ?>"></script>
    <script src="<?php echo e(asset('adminpanel/ckeditor/ckeditor.js')); ?>"></script>
    <script src="<?php echo e(asset('adminpanel/js/custom.js')); ?>"></script>

    <script>
        CKEDITOR.replace( 'bio' );
        CKEDITOR.replace( 'description' );
    </script>

    <script>
        $('#datepicker').datepicker({
            uiLibrary: 'bootstrap4'
        });

        $('#datepicker1').datepicker({
            uiLibrary: 'bootstrap4'
        });

        // $('.datepicker1').datepicker({
        //     uiLibrary: 'bootstrap4'
        // });

        // $('#datepicker2').datepicker({
        //     uiLibrary: 'bootstrap4'
        // });

        // $('#datepicker3').datepicker({
        //     uiLibrary: 'bootstrap4'
        // });

        $('#startDate').datepicker({
            uiLibrary: 'bootstrap4'
        });
        $('#endDate').datepicker({
            uiLibrary: 'bootstrap4'
        });
    </script>

    <script>
        $('#datetimepicker1').datetimepicker({

        });
    </script>
    <script>
        $(".dropdown-menu li a").click(function(){
          var selText = $(this).text();
          $(this).parents('.btn-group').find('.dropdown-toggle').html(selText+' <span class="caret"></span>');
        });

        $("#addChild").click(function() {
            var child_counter = $("#child_counter");
            var child_counter_val = child_counter.val();
            child_counter_val = parseInt(child_counter_val)+parseInt(1);
            child_counter.val(child_counter_val);
            var childContainer = $("#childContainer");
            var childForm = '<div class="user-pro-detail-content-dt-one" id="cfnameContainer'+child_counter_val+'"><div style="position: absolute; right: 25px; cursor: pointer;"><img onclick="funRemoveChild('+child_counter_val+')" title="Remove child" alt="Remove child" src="<?php echo e(asset('/adminpanel/images/close-circle-outline.png')); ?>" width="25" height="25" ></div><div class="user-pro-detail-content-left"><label>Enter child First Name</label></div><div class="user-pro-detail-content-right"><input type="text" name="cfname'+child_counter_val+'" class="form-control" placeholder="Enter child First Name" ></div></div>';
            childForm += '<div class="user-pro-detail-content-dt-one" id="clnameContainer'+child_counter_val+'"><div class="user-pro-detail-content-left"><label>Enter child Last Name</label></div><div class="user-pro-detail-content-right"><input type="text" name="clname'+child_counter_val+'" class="form-control" placeholder="Enter child Last Name" ></div></div>';
            childForm += '<div class="user-pro-detail-content-dt-one" id="cgenderContainer'+child_counter_val+'"><div class="user-pro-detail-content-left"><label>Select child gender</label></div><div class="user-pro-detail-content-right"><label class="ki-radio ki-radio-bold ki-radio-brand"><input checked="checked" name="cgender'+child_counter_val+'" type="radio" value="M"> Male<span></span></label> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <label class="ki-radio ki-radio-bold ki-radio-brand"><input name="cgender1" type="radio" value="F"> Female<span></span></label></div></div>';
            childForm += '<div class="user-pro-detail-content-dt-one" id="cbdateContainer'+child_counter_val+'"><div class="user-pro-detail-content-left"><label>Select child birthdate</label></div><div class="user-pro-detail-content-right"><input class="form-control" id="datepicker'+child_counter_val+'" placeholder="Select child birthdate" name="cbdate'+child_counter_val+'" type="text" value="" ></div></div>';
            childForm += '<div class="user-pro-detail-content-dt-one" id="chrContainer'+child_counter_val+'" style="padding-bottom: 0;"><hr style="width: 90%;"></div>';
            childForm += '<script id="scriptContainer'+child_counter_val+'">$("#datepicker'+child_counter_val+'").datepicker({uiLibrary: "bootstrap4"});<\/script>';
            childContainer.append(childForm);
        });

        var funRemoveChild = function(id) {
            console.log("ID: " + id);
            $("#cfnameContainer"+id).remove();
            $("#clnameContainer"+id).remove();
            $("#cgenderContainer"+id).remove();
            $("#cbdateContainer"+id).remove();
            $("#chrContainer"+id).remove();
            $("#scriptContainer"+id).remove();
        }
    </script>

</body>

</html>
<?php /**PATH /home/keshavvps/public_html/keshav/KG1/KAVI/resources/views/adminpanel/adduser.blade.php ENDPATH**/ ?>