<?php

namespace App\Http\Middleware;

use App\Models\User;
use Closure;
use Illuminate\Http\Request;

use Illuminate\Support\Facades\Auth;
class VerifyToken
{
    public function handle(Request $request, Closure $next, ...$guards)
    {

        if(!$request->header('token'))
        {
            return response()->json(['status'=>0 ,'message'=>"Token Field is Required"],400);
        }
        $user = User::where('user_token',$request->header('token'))->first();
        if($user)
        {
            Auth::loginUsingId($user->id); 
        }
        else
            return response()->json(['status'=>0 ,'message'=>"Unauthorized Invalid Token"],401);

        return $next($request);
    }
}
